# Class BattlePausedEvent

java.lang.Object
robocode.control.events.BattleEvent
robocode.control.events.BattlePausedEvent

public class BattlePausedEvent extends BattleEvent
A BattlePausedEvent is sent to `onBattlePaused()` when a battle has been paused.

Since:
  1.6.2
Author:
  Pavel Savara (original), Flemming N. Larsen (contributor)
See Also:
  - `IBattleListener`
  - `BattleResumedEvent`

## Constructor Summary

Constructors
Constructor
Description
`BattlePausedEvent()`
Called by the game to create a new BattlePausedEvent.

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BattlePausedEvent

public BattlePausedEvent()
Called by the game to create a new BattlePausedEvent. Please don't use this constructor as it might change.